package cn.pluss.platform.aliMcc.impl;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.pluss.platform.aliMcc.AliMccService;
import cn.pluss.platform.entity.AliMcc;
import cn.pluss.platform.mapper.AliMccMapper;

@Transactional
@Service("aliMccService")
public class AliMccServiceImpl  implements AliMccService{

	 private static final Logger logger = LoggerFactory.getLogger( AliMccServiceImpl.class);


    @Autowired
	  private AliMccMapper aliMccMapper;

    @Override
    public AliMcc queryAliMcc(AliMcc aliMcc){
        return aliMccMapper.queryAliMcc(aliMcc);
    }

    @Override
    public List<AliMcc> queryAliMccList(AliMcc aliMcc){
        return aliMccMapper.queryAliMccList(aliMcc);
    }
    @Override
    public void saveAliMcc(AliMcc aliMcc){
          aliMccMapper.saveAliMcc(aliMcc);
    }
    @Override
    public void updateAliMcc(AliMcc aliMcc){
        aliMccMapper.updateAliMcc(aliMcc);
    }
    @Override
    public void deleteAliMcc(AliMcc aliMcc){
        aliMccMapper.deleteAliMcc(aliMcc);
    }
    @Override
    public List<AliMcc> queryAliMccPage(Map map){
        return aliMccMapper.queryAliMccPage(map);
    }
    @Override
    public Integer queryAliMccPageCount(Map map){
        return aliMccMapper.queryAliMccPageCount(map);
    }
    @Override
    public void saveAliMccBatch(List<AliMcc> aliMccList) {
         aliMccMapper.saveAliMccBatch(aliMccList);
    }

	@Override
	public String queryMccCode(String mccCode) {
		return aliMccMapper.queryMccCode(mccCode);
	}
}

